%define python_ver %(%{__python} -c "import sys; print sys.version[:3]")

Summary: Bindings for the Xapian Probabilistic Information Retrieval Library
Name: xapian-bindings
Version: 1.0.6
Release: 1%{?dist}
License: GPLv2+
Group: Development/Libraries
URL: http://www.xapian.org/
BuildRequires: python-devel >= 2.2
BuildRequires: autoconf automake libtool
BuildRequires: xapian-core-devel == %{version}
Source0: http://www.oligarchy.co.uk/xapian/%{version}/%{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Xapian is an Open Source Probabilistic Information Retrieval Library. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications. This package provides the
files needed for scripts which use Xapian

%package python
Group: Development/Libraries
Summary: Files needed for developing Python scripts which use Xapian

%description python
Xapian is an Open Source Probabilistic Information Retrieval framework. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications. This package provides the
files needed for developing Python scripts which use Xapian

%prep
%setup -q -n %{name}-%{version}

%build
%configure --with-python
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
# Installation of some files does not obey prefix, DESTDIR is required
%makeinstall DESTDIR=%{buildroot}
# Move the docs to the right place, and correct the effects of prefix+DESTDIR
mkdir -p %{buildroot}/usr/share/doc/
mv %{buildroot}%{buildroot}/usr/share/doc/%{name}/python %{buildroot}/usr/share/doc/%{name}-python-%{version}
rm -rf %{buildroot}%{buildroot}/usr/share/doc/%{name}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files python
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/python%{python_ver}/site-packages/_xapian.so
%{_libdir}/python%{python_ver}/site-packages/xapian.py
%{_libdir}/python%{python_ver}/site-packages/xapian.pyc
%{_libdir}/python%{python_ver}/site-packages/xapian.pyo



%changelog
* Sun Mar 30 2008 Adel Gadllah <adel.gadllah@gmail.com> 1.0.6-1
- Update to 1.0.6

* Sat Feb 09 2008 Adel Gadllah <adel.gadllah@gmail.com> 1.0.5-2
- Rebuild for gcc-4.3

* Thu Dec 27 2007 Adel Gadllah <adel.gadllah@gmail.com> 1.0.5-1
- Update to 1.0.5

* Tue Oct 30 2007 Adel Gadllah <adel.gadllah@gmail.com> 1.0.4-1
- Update to 1.0.4

* Thu Aug 16 2007 Adel Gadllah <adel.gadllah@gmail.com> 1.0.2-4
- License is GPLv2+ not GPLv2

* Sun Aug 12 2007 Adel Gadllah <adel.gadllah@gmail.com> 1.0.2-3
- Remove vendor tag RH #251832

* Wed Aug 08 2007 Adel Gadllah <adel.gadllah@gmail.com> 1.0.2-2
- Fix license tag
- Minor cleanups
- Add disttag

* Fri Jul 13 2007 Marco Pesenti Gritti <mpg@redhat.com> - 1.0.2-1
- Update to 1.0.2

* Tue Jun 19 2007 Marco Pesenti Gritti <mpg@redhat.com> 1.0.1-2
- Remove req on xapian-bindings

* Mon Jun 18 2007 Marco Pesenti Gritti <mpg@redhat.com> 1.0.1-1
- Initial build
